%define name iwlwifi-5000-ucode
%define version 5.4.A.11
%define release %mkrel 1

Summary: Intel PRO/Wireless 5000AGN microcode
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{version}.tar.gz
License: Proprietary
Group: System/Kernel and hardware
Url: http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-5000-1.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 5000AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Thu Aug 21 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 5.4.A.11-1mdv2009.0
+ Revision: 274480
- import iwlwifi-5000-ucode


